@charset "UTF-8";

:root {
  --text-white: #d0d0d0;
  --darker-white: #9f9f9f;
}

body {
  color: var(--text-white);
  background-color: black;
  font-family: helvetica-neue-lt-pro, sans-serif;
  font-weight: 400;
  font-style: normal;
  margin: 0;
  padding: 0;
}

.bg-layer0 {
  position: fixed;
  inset: 0;
  width: 100vw;
  height: 100vh;
  z-index: -1;
  background-image: url(./images/pattern3.png);
  background-repeat: repeat;
  background-size: 200px 100px;
  box-shadow: inset 0px 0px 50vw black;
  animation: slide 24s linear infinite;
  pointer-events: none;
}

@keyframes slide {
  from {
    background-position: 0 0;
  }
  to {
    background-position: 0 100px;
  }
}

.bg-layer1 {
  position: fixed;
  inset: 0;
  width: 100vw;
  height: 100vh;
  z-index: -2;
  background-image: url(./images/pattern3.png);
  background-repeat: repeat;
  background-size: 200px 100px;
  box-shadow: inset 0px 0px 50vw black;
  animation: slide2 36s linear infinite;
  pointer-events: none;
}

@keyframes slide2 {
  from {
    background-position: 0 50px;
  }
  to {
    background-position: 0 -50px;
  }
}

.bg-layer2 {
  position: fixed;
  inset: 0;
  width: 100vw;
  height: 100vh;
  z-index: -3;
  background-image: url(./images/pattern3.png);
  background-repeat: repeat;
  background-size: 200px 100px;
  box-shadow: inset 0px 0px 50vw black;
  animation: slide3 48s linear infinite;
  pointer-events: none;
}

@keyframes slide3 {
  from {
    background-position: 0 0;
  }
  to {
    background-position: 0 100px;
  }
}

header {
  display: block;
  margin: 0px;
  height: 30vh;
  min-height: 20rem;
  width: 100%
}

.title-container {
  display:flex;
  width: 75vw;
  margin: auto;
  height: 100%;
  align-content: center;
  justify-content: center;
  flex-wrap: wrap;
  flex-direction: column;
}

@media screen and (max-width: 950px) {
  .title-container {
    width: 95vw;
  }
}

.title {
  display: flex;
  flex-direction: column;
}

article {
  display: flex;
  flex-direction: row;
  width: 85vw;
  max-width: 2200px;
  margin: auto;
  padding: 0;
}

article > :first-child {
  flex: 1;
}

article > :nth-child(2) {
  flex: 3;
}

@media screen and (max-width: 1950px) {
  article {
    width: 65vw;
    flex-direction: column;
  }
}

@media screen and (max-width: 1600px) {
  article {
    width: 75vw;
    flex-direction: column;
  }
}

@media screen and (max-width: 950px) {
  article {
    width: 95vw;
    flex-direction: column;
  }
}

.introduction {
  padding: 0px 2rem 0px 2rem;
}

.items {
  display: flex;
  flex-direction: row;
}

@media screen and (max-width: 1300px) {
  .items {
    flex-direction: column;
  }
}

.object {
  padding: 2rem;
  flex: 1;
  display: flex;
  flex-direction: column;
  min-height: 0;
}

@media screen and (max-width: 1300px) {
  .object {
    flex-direction: row;
    min-height: 23vh;
  }
}

@media screen and (max-width: 950px) {
  .object {
    flex-direction: column;
    min-height: 0;
  }
}

.items div p {
  
}

.object .img {
  width: 100%;
  aspect-ratio: 3 / 2;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  border-radius: 0.15rem;
  filter: drop-shadow(0px 0px 0.5rem #000000);
}

.object-copy {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  padding: 0;
}

@media screen and (max-width: 1300px) {
  .object .img {
    height: 20vw;
    flex: 1;
  }

  .object-copy {
    padding: 0 0 0 2rem;
    flex: 2;
  }
}

@media screen and (max-width: 950px) {
  .object .img {
    height: auto;
    width: 100%;
  }

  .object-copy {
    padding: 0;
  }
}

.button {
  display: block;
  color: black;
  background-color: var(--text-white);
  height: 1.5rem;
  width: 40%;
  margin-top: 1.5rem;
  text-decoration: none;
  border-radius: 0.15rem;
  filter: drop-shadow(0px 0px 0.5rem #000000);
  transition: background-color 0.25s, transform 0.25s;
}

.button:hover {
  background-color: var(--darker-white);
  transform: scale(0.97);
}

.button p {
  text-decoration: none;
  margin: auto;
  font-weight: bold;
  text-align: center;
}

@media screen and (max-width: 1300px) {

}

#cvphoto {
  background-image: url(./images/resume.jpg);
}

#photophoto {
  background-image: url(./images/photography.jpg);
}

#n2nphoto {
  background-image: url(./images/n2n.jpg);
}

footer {
  display:block;
  width: 100%;
  height: 3rem;
  margin-top: 8rem;
}

footer div {
  width: 80%;
  max-width: 2200px;
  margin: auto;
}

footer div p {
  font-family: fieldwork, sans-serif;
  font-weight: 300;
  font-style: normal;
  text-transform: uppercase;
  text-align: center;
  font-size: 0.8rem;
}

h1 {
  font-family: fieldwork, sans-serif;
  font-weight: 600;
  font-style: normal;
  text-align: center;
  font-size: 6rem;
  margin: 0;
}

h1::after {
  content:"";
  display: block;
  width: 100%;
  border-bottom: 1px solid var(--text-white);
  translate: 0 -0.8rem;
}

@media screen and (max-width: 1300px) {
  h1 {
    font-size: 4rem;
  }

  h1::after {
    translate: 0 -0.4rem;
  } 
}

@media screen and (max-width: 950px) {
  h1 {
    font-size: 3rem;
  }

  h1::after {
    translate: 0 -0.4rem;
  } 
}

@media screen and (max-width: 600px) {
  h1 {
    font-size: 2rem;
  }

  h1::after {
    translate: 0 -0.2rem;
  } 
}

h2 {
  font-family: fieldwork, sans-serif;
  font-weight: 300;
  font-style: normal;
  text-transform: uppercase;
  text-align: center;
  font-size: 2rem;
  margin: 0;
}

@media screen and (max-width: 1300px) {
  h2 {
    font-size: 1.5rem;
  }
}

@media screen and (max-width: 950px) {
  h2 {
    font-size: 1rem;
  }
}

@media screen and (max-width: 600px) {
  h2 {
    font-size: 0.8rem;
  }
}

h2 a {
  color: var(--text-white);
  text-decoration: none;
}

h3 {
  font-family: fieldwork, sans-serif;
  font-weight: 600;
  font-style: normal;
  text-align: left;
  font-size: 1.8rem;
  margin: 2rem 0 0 0;
}

@media screen and (max-width: 1300px) {
  .object h3 {
    margin: -0.5rem 0 0 0;
  }
}

@media screen and (max-width: 950px) {
  .object h3 {
    margin: 2rem 0 0 0;
  }
}

p {
  font-family: helvetica-neue-lt-pro, sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 1rem;
  text-align: justify;
  line-height: 1.4rem;
}

@media screen and (max-width: 1500px) {
  p {
    text-align: left;
  }
}

@media screen and (max-width: 1300px) {
  p {
    text-align: justify;
  }
}

@media screen and (max-width: 600px) {
  p {
    text-align: left;
  }
}

